Cyberduck Mountain Duck CLI

#3205 closed defect (worksforme)

Cyberduck crashes on launch

Reported by: it@… Owned by: dkocher
Priority: normal Milestone:
Component: core Version: 3.2
Severity: normal Keywords:
Cc: eva@… Architecture:
Platform:

Description (last modified by dkocher)

Hello,

It seems that everytime I startup Cyberduck, it immediately crashes.

I found this information in the console:

##########
19/05/09 12:20:48 com.apple.launchd[11936] ([0x0-0x308308].ch.sudo.cyberduck[12203]) Exited abnormally: Segmentation fault 
19/05/09 12:21:01 Cyberduck[12220] java/lang/NoClassDefFoundError: com/apple/dnssd/BrowseListener
Stack Trace:
java.lang.NoClassDefFoundError: com/apple/dnssd/BrowseListener
 at java.lang.ClassLoader.defineClass1(Native Method)
 at java.lang.ClassLoader.defineClass(ClassLoader.java:675)
 at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
 at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
 at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
 at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
 at java.security.AccessController.doPrivileged(Native Method)
 at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:316)
 at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:280)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
 at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:374)
 at ch.cyberduck.ui.cocoa.CDMainController.applicationDidFinishLaunching(CDMainController.java:422)
 
19/05/09 12:21:01 Cyberduck[12220] java/lang/NoClassDefFoundError: com/apple/dnssd/BrowseListener
Stack Trace:
java.lang.NoClassDefFoundError: com/apple/dnssd/BrowseListener
 at java.lang.ClassLoader.defineClass1(Native Method)
 at java.lang.ClassLoader.defineClass(ClassLoader.java:675)
 at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
 at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
 at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
 at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
 at java.security.AccessController.doPrivileged(Native Method)
 at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:316)
 at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:280)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
 at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:374)
 at ch.cyberduck.ui.cocoa.CDMainController.applicationDidFinishLaunching(CDMainController.java:422)
 
19/05/09 12:21:13 [0x0-0x30c30c].ch.sudo.cyberduck[12220] Invalid memory access of location 5e4e3e2c eip=005cc778 
19/05/09 12:21:13 [0x0-0x30c30c].ch.sudo.cyberduck[12220] Invalid memory access of location 5e4e3e2c eip=005cc778 
19/05/09 12:21:15 com.apple.launchd[11936] ([0x0-0x30c30c].ch.sudo.cyberduck[12220]) Exited abnormally: Segmentation fault 
#########

Any advice on what might causing this and how it could be fixed?

I appreciate your reply.

Regards, Stijn it@…

Attachments (1)

apple-crash-logs.txt (29.3 KB) - added by samj@… on Jun 15, 2009 at 2:55:24 PM.
Apple Crash Logs

Download all attachments as: .zip

Change History (4)

Changed on Jun 15, 2009 at 2:55:24 PM by samj@…

Apple Crash Logs

comment:1 Changed on Jun 15, 2009 at 2:56:19 PM by samj@…

I'm having the same problem - just uploaded the Apple crash logs (which I have reported many times but to no avail - do you even see these?).

Sam

comment:2 Changed on Jun 23, 2009 at 11:46:53 AM by dkocher

  • Description modified (diff)
  • Resolution set to worksforme
  • Status changed from new to closed

You are missing file /System/Library/Java/Extensions/dns_sd.jar on your system.

comment:3 Changed on Jun 23, 2009 at 11:47:27 AM by dkocher

Workaround would be to disable Rendezvous/Bonjour/Zeroconf support.

defaults write ch.sudo.cyberduck rendezvous.enable false
Note: See TracTickets for help on using tickets.
swiss made software